import { createContext } from 'react';
import PropTypes from 'prop-types';
import useState from '../hooks/useState.js';
import { jsx as _jsx } from "react/jsx-runtime";
var NO_OP = function NO_OP() {
  return null;
};
export var TaskManagerContext = /*#__PURE__*/createContext();
export var TaskManagerProvider = function TaskManagerProvider(_ref) {
  var children = _ref.children,
    _ref$onCompleteAllTas = _ref.onCompleteAllTasks,
    onCompleteAllTasks = _ref$onCompleteAllTas === void 0 ? NO_OP : _ref$onCompleteAllTas;
  var exposedApi = useState({
    onCompleteAllTasks: onCompleteAllTasks
  });
  return /*#__PURE__*/_jsx(TaskManagerContext.Provider, {
    value: exposedApi,
    children: children
  });
};