import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { ValueObject } from '@s-ui/domain';
export var NumberSharedValueObject = /*#__PURE__*/function (_ValueObject) {
  _inheritsLoose(NumberSharedValueObject, _ValueObject);
  function NumberSharedValueObject() {
    return _ValueObject.apply(this, arguments) || this;
  }
  var _proto = NumberSharedValueObject.prototype;
  _proto.get = function get() {
    return this._number;
  };
  _proto.set = function set(number) {
    this._number = number;
  };
  _proto.decreaseBy = function decreaseBy(quantity) {
    this._number -= quantity;
  };
  _proto.increaseBy = function increaseBy(quantity) {
    this._number += quantity;
  };
  _proto.toJSON = function toJSON() {
    return this._number;
  };
  return NumberSharedValueObject;
}(ValueObject);