import _extends from "@babel/runtime/helpers/esm/extends";
import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Service } from '@s-ui/domain';
export var RunTaskService = /*#__PURE__*/function (_Service) {
  _inheritsLoose(RunTaskService, _Service);
  function RunTaskService(_ref) {
    var _this;
    var config = _ref.config,
      taskEntityFactory = _ref.taskEntityFactory,
      taskRepository = _ref.taskRepository;
    _this = _Service.call(this) || this;
    _this._config = config;
    _this._taskEntityFactory = taskEntityFactory;
    _this._taskRepository = taskRepository;
    return _this;
  }
  var _proto = RunTaskService.prototype;
  _proto.execute = function execute(_temp) {
    var _this2 = this;
    var _ref2 = _temp === void 0 ? {} : _temp,
      name = _ref2.name,
      work = _ref2.work;
    var withConfigWork = work.map(function (workItem) {
      return _extends({}, workItem, {
        config: _this2._config
      });
    });
    var task = this._taskEntityFactory({
      config: this._config,
      name: name,
      work: withConfigWork
    });
    return this._taskRepository.saveTask(task);
  };
  return RunTaskService;
}(Service);