import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { EnumSharedValueObject } from '../../shared/ValueObjects/EnumSharedValueObject.js';
export var StatusTaskValueObject = /*#__PURE__*/function (_EnumSharedValueObjec) {
  _inheritsLoose(StatusTaskValueObject, _EnumSharedValueObjec);
  function StatusTaskValueObject(_ref) {
    var config = _ref.config,
      value = _ref.value;
    return _EnumSharedValueObjec.call(this, {
      availableValues: config.get('AVAILABLE_STATUS'),
      value: value
    }) || this;
  }
  var _proto = StatusTaskValueObject.prototype;
  _proto.setCompleted = function setCompleted() {
    this.setValue(this.getAvailableValues().COMPLETED);
  };
  _proto.setInProgress = function setInProgress() {
    this.setValue(this.getAvailableValues().IN_PROGRESS);
  };
  _proto.setError = function setError() {
    this.setValue(this.getAvailableValues().ERROR);
  };
  _proto.setQueued = function setQueued() {
    this.setValue(this.getAvailableValues().QUEUED);
  };
  _proto.setCancelled = function setCancelled() {
    this.setValue(this.getAvailableValues().CANCELLED);
  };
  return StatusTaskValueObject;
}(EnumSharedValueObject);